%define upstream_name    Unicode-CaseFold
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Unicode case-folding for case-insensitive lookups
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::UCD)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module provides Unicode case-folding for Perl. Case-folding is a tool
that allows a program to make case-insensitive string comparisons or do
case-insensitive lookups.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 1.10.0-10.mga10
+ Revision: 2012433
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 1.10.0-9.mga9
+ Revision: 1874851
- Rebuild b/c of "lib/Unicode/CaseFold.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 1.10.0-8.mga9
+ Revision: 1795326
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.10.0-7.mga8
+ Revision: 1607004
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-6.mga8
+ Revision: 1508411
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 1.10.0-5.mga8
+ Revision: 1502896
- Mageia 8 Mass Rebuild (missed by umeabot)

* Fri Sep 21 2018 umeabot <umeabot> 1.10.0-4.mga7
+ Revision: 1293901
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.10.0-3.mga7
+ Revision: 1250156
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.10.0-2.mga7
+ Revision: 1167218
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.10.0-1.mga7
+ Revision: 1159085
- update to 1.01

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-2.mga6
+ Revision: 1035435
- Rebuild for perl 5.22.2

* Sun Jan 24 2016 shlomif <shlomif> 1.0.0-1.mga6
+ Revision: 927032
- imported package perl-Unicode-CaseFold

